> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Search History

> Return the current user's last 50 search entries on this board.



## OpenAPI

````yaml /openapi.json get /api/v1/discovery/boards/{board_id}/search-history
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/discovery/boards/{board_id}/search-history:
    get:
      tags:
        - discovery
      summary: List Search History
      description: Return the current user's last 50 search entries on this board.
      operationId: >-
        list_search_history_api_v1_discovery_boards__board_id__search_history_get
      parameters:
        - in: path
          name: board_id
          required: true
          schema:
            title: Board Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DiscoverySearchHistoryResponse'
                title: >-
                  Response List Search History Api V1 Discovery Boards  Board
                  Id  Search History Get
                type: array
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    DiscoverySearchHistoryResponse:
      properties:
        board_id:
          title: Board Id
          type: string
        id:
          title: Id
          type: string
        intent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Intent Id
        query:
          anyOf:
            - type: string
            - type: 'null'
          title: Query
        result_count:
          default: 0
          title: Result Count
          type: integer
        searched_at:
          format: date-time
          title: Searched At
          type: string
        user_id:
          title: User Id
          type: string
      required:
        - id
        - board_id
        - user_id
        - searched_at
      title: DiscoverySearchHistoryResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````